#!/bin/sh

# Recuperation des mots de passe et login
eval `cat  /usr/share/sentinelle/password `
export MY="mysql  --user=$MYSQL_SENTINELLE_LOGIN --password=$MYSQL_SENTINELLE_PWD"
export ID="--user=$MYSQL_SENTINELLE_LOGIN --password=$MYSQL_SENTINELLE_PWD"


export DBRoot="mysql  --user=root --password=$MYSQL_ROOT_PWD -B -N -e "
export DBSentinelle="$MY sentinelle -B -N -e "
export DBPersistance="$MY persistance -B -N -e "
export DBLatest="$MY latest -B -N -e "

DBSVersion=`$DBSentinelle "SELECT valeur FROM variables WHERE cle = 'VERSION'" `
if [ "$DBSVersion" = "" ] ; then 
	DBSVersion="1"
fi



function align3()
{
	if [ $1 -lt 10 ] ; then
		echo "00$1"
		exit
	fi

	if [ $1 -lt 100 ] ; then
	        echo "0$1"
		exit
	fi

	echo "$1"
}


getdbchamp()
{
        TABLE="$1"
        CHAMP="$2"
        CONDITION="$3"
        V=`$DBLatest "select $CHAMP from $TABLE where $CONDITION"`
        echo $V 
}

getdbvaleur()
{
     getdbchamp $1 "valeur" $2
}


