#!/bin/sh

. ./dbs.inc

if [ "$VERSION" = "1" ] ; then
	echo " La base doit être au moins en version 2"
	exit
fi

OLD=""
TAGS=`$DBSentinelle "SELECT tag FROM composantes"`
TABLES=`$DBPersistance "SHOW TABLES"`
echo " Analyse des tables en cours...."
for TABLE in `echo $TABLES`; do
	E=`echo "$TAGS" | grep "$TABLE" | wc -l`;E=`expr $E + 0`
	#echo "$TABLE : $E"
	if [ $E -eq 0 ] ; then
		OLD="$OLD $TABLE"
	fi
done

if [ "$OLD" = "" ] ; then
	echo "Aucune table à supprimer"
	exit
fi

echo "Les tables suivantes vont être supprimées : "
echo "$OLD"
echo -n "Voulez-vous continuer o/n : "; read P
if [ "$P" = "o" -o  "$P" = "oui" ] ;  then
	for TABLE in `echo $OLD` ; do
		echo "Suppression de : $TABLE"
		$DBPersistance "DROP TABLE $TABLE"
		$DBLatest  "DROP TABLE $TABLE"
	done
fi




