<?

//require("/home/www/assistance/constantes_BDD.php");
require("inc.php");

if (!defined("CLASS_REQUETE")) { 
  define("CLASS_REQUETE",1);

   //define("DB_USER","");
   //define("DB_PASSWORD","");

  // Definition des fonctions
  // - connecter () : Effectue une connexion a la base 
  function Connecter ($dbName) { 
    //$database = pg_connect("dbname=".$dbName." user=". DB_USER." password=".DB_PASSWORD);
	$database = mysql_pconnect(DB_HOST,DB_USER,DB_PASSWORD);
	if (!$database) die("IMPOSSIBLE D'OUVRIR LA BASE");
	mysql_select_db($dbName,$database);
    return $database; 
  }

  /*
   * Fonction ligne ($valeur)
   * $valeur est la nouvelle entree d'une liste deroulante
   *
   * Cette fonction permet de creer une ligne du type 
   * <option value="$valeur" \n
   * 
   */
  function ligne($valeur = "", $value=false,$sSelected=false)
  {
  	  $sSelect="";
	  $valeur=trim($valeur);
  	  if ($value==false) $value=$valeur; else $value=trim($value);
	  if ($sSelected!=false) 
	  {
	  	if ($valeur==$sSelected) $sSelect="selected";
	  }
	
      $result = "<option $sSelect value=\"".$value."\">".$valeur." \n ";
      return $result;
  }

 	/*
	 * Fonction chaine($options)
	 * $options tableau associatif dont la cle correspond aux noms des champs
	 * et dont la valeur correspond a la valeur des champs
	 * function qui transforme un tableau en chaine de caracteres
	 * retourne un tableau contenant le noms des champs sous forme de chaine ainsi que leur valeur
	 */
	function chaine($options)
	{
		$champs = "";
		$valeur = "";
		while (list($key, $val) = each($options))
		{
			$champs .= " \"" . $key . "\",";
			$valeur .= " '" . $val . "',";
		}

		//supprime la derniere virgule
		$champs = substr($champs,0,strlen($champs)-1);
		$valeur = substr($valeur,0,strlen($valeur)-1);
		$result = array($champs,$valeur);
		return($result);
	}

  /*
   * La classe Requete est une classe objet gerant les requetes
   * postgresql
   */

  class Requete{	
    /** 
     * string Requete source SQL 
     */
    var $_reqSQL;        // Requete SQL
    /** 
     * int Nombre de resultats a la requete $_reqSQL
     */
    var $_nbRes;         // Nombre de resultats a la requete $_reqSQL

    /** 
     * array Table resultat
     */

    var $_result;           // Table resultat

    /**

     * La connection courante  la base de donnes

     */

    var $_conn;  
	var $m_iCurrentRow;

    

    function Requete($reqSQL,$dbName,$debug = FALSE)
	{
	  //echo "===<br>" . $reqSQL . "<br>=====<br>";
      // tablir la connection  la base
      if (!isset($this->_conn)) $this->_conn = Connecter($dbName); 
      if ($reqSQL) {	
			/*$this->_reqSQL=$reqSQL;
			$this->_result = pg_query ($this->_conn,$this->_reqSQL); 
			$this->_nbRes =  pg_num_rows($this->_result);*/
			$this->_reqSQL=$reqSQL;
			$this->_result = mysql_query( $this->_reqSQL,$this->_conn); 
			$this->_nbRes =  mysql_num_rows($this->_result);
      }
	  $this->m_iCurrentRow=-1;
      return $this->_result;
    }
	
	function Next()
	{
		$this->m_iCurrentRow++;
		return mysql_fetch_array($this->_result);
	}

    /*
     * Function liste ($nb)
     * $nb nombres de colonnes qu'on veut lister
     *
     * Function qui permet de definir une chaine de caracteres
     * en fonction des resultats d'une requete. 
     * Elle correspond a la valeur liste deroulante en html
     */
    function liste($nb = 1,$iStart=-1,$p_sSeparateur="\t",$sExclude=false,$sSelected=false)
    {
		$option = "";
		$iIndex=($iStart==-1)?1:$iStart;
		for($i=0; $i<$this->_nbRes; $i++)
		{
		  $valeur = "";
		  $arr = pg_fetch_array ($this->_result, $i);
		  
		  for($j=$iIndex; $j<=$nb; $j++){
			$valeur = $valeur . stripslashes($arr[$j]) . $p_sSeparateur;
		  }
		  
		  if (($sExclude!=false) && ($sExclude == $valeur)) continue;
		  if (trim($valeur)!="") $option = $option . ligne($valeur,false,$sSelected);
		}
	
		return $option;
     }

	  

	/*
     * Function listeValeur($num)
     * $nb nombres de colonnes qu'on veut lister
     *
     * Function qui permet de definir une chaine de caracteres
     * en fonction des resultats d'une requete. 
     * Elle correspond a la valeur liste deroulante en html
     */
	 function listeValeur($num,$valnum=false,$exclude=false)
	 {
		  $option = "";
		  for($i=0; $i<$this->_nbRes; $i++)
		  {
			 $valeur = "";
			 $arr = pg_fetch_array ($this->_result, $i);
			 $valeur = $valeur . stripslashes($arr[$num]);
			 
			 if ($valnum!=false) $val=stripslashes($arr[$valnum]); else $val=false;
			 if (($exclude!=false) && ($exclude == $val)) continue;
			 $option = $option . ligne($valeur,$val);
		   }

			return $option;	

	 }

	 



    // fonction qui retourne le nombre de resultats de la requete 

    function getNbRes(){

      return($this->_nbRes);

    }



    // fonction qui retourne le resultat de la requete

    // pour le champ entre en parametre

    // lorsque la requete n'a qu'un resultat unique

    function getRes($champs){
      $arr = pg_fetch_array ($this->_result, 0);
      return($arr[$champs]);
    }



    // fonction qui retourne leresultat de la requete 

    function getResult(){

      return($this->_result);

    }

	

	// fonction qui retourne la connexion de la requete 

    function getConn(){

      return($this->_conn);

    }



    /*

     * Function Deconnecter ()

     *

     * Function qui deconnecte de la base postgre

     */

    function Deconnecter ()

      {
		mysql_close($this->_conn);

	//pg_close ($this->_conn);

      }



	/*

	* Function qui cree un tableau format javascript

	* Utilise pour generer les listes deroulantes (detail objet, et etablissements)

	*/

	function genereTableau(){

		$tableau = '(' ;

		for($i=0; $i<($this->_nbRes-1); $i++){

			$arr = pg_fetch_array ($this->_result, $i);

			$tableau = $tableau . "'" . $arr[0] . "',";	

		}

		$arr = pg_fetch_array ($this->_result, ($this->_nbRes-1));

		$tableau = $tableau . "'" . $arr[0] . "')";

		return ($tableau);

	}

	

	/*

	* Function qui permet de verifier si une valeur appartient a une table

	* si non, ajoute la valeur a la table

	* $table nom de la table dans laquelle la verification se fera 

	* $champs  nom du champs sur lequel va porter la selection

	* $valeur valeur qu'il faudra verifier si appartient a la table

	* $options tableau associatif dans lequel se trouve tous les champs a creer si la valeur n'existe pas

	*/

	function appartient($table,$champs, $valeur,$options=null){

		//$req = pg_select($this->conn,$table,$donnees);

		$requete = "SELECT * FROM \"" . $table . "\" WHERE \"" . $champs ."\"='" . trim($valeur) . "'";

		$req = pg_query($this->_conn,$requete); 

		$result = pg_num_rows($req);

		if($result == 0){

			if ($options != null) {

			$chaine = chaine($options);

			$ch = $chaine[0];

			$val = $chaine[1];

			$reqinsert = "INSERT INTO \"" .$table . "\" (" . $ch . ",\"". $champs . "\") VALUES (" . $val . ",'" . $valeur . "')"; 

			}else

			$reqinsert = "INSERT INTO \"" . $table . "\" (\"" . $champs . "\") VALUES ('" . $valeur . "')";

			pg_query($this->_conn,$reqinsert);

		}

	}

  }

}

?>
