# Recupere les infos de bases de zephir
#  + les zephir ID des != module

import sys
import xmlrpclib
from inc_connect   import *
from tools import *

s_sVARIABLE_RNE='rne'
s_sVARIABLE_SERVEURMODULE='module_actuel'
s_sVARIABLE_MODULEID='id'
s_sVARIABLE_SERVEURID='id'

oProxy=xmlrpclib.ServerProxy(sUrlZephir)

etabs=convert(oProxy.etabs.get_etab()[1])
#etabs=['0210017E','0210000A']



oListModulesName=[]
oListModules=convert(oProxy.modules.get_module()[1])
for oModule in oListModules:
	
	sServeurName=getServeurModuleName(oModule['libelle'])
	oListModulesName.append(sServeurName)
	idModule=oModule[s_sVARIABLE_MODULEID]
	print 'Module id : ' + str(idModule) + ' name='+oModule['libelle']+'=>'+sServeurName
	bfind=0
	for etab in etabs:
    		# Recuperation des serveurs pour Rne
		print etab[s_sVARIABLE_RNE]
		if etab[s_sVARIABLE_RNE] != '0210000A':
			continue
    		try:
			oListServeurs=convert(oProxy.serveurs.groupe_serveur({s_sVARIABLE_RNE: etab[s_sVARIABLE_RNE]})[1])
		except:
			oListServeurs=[]
		for serveur in oListServeurs:
        		iIdDuModule=serveur[s_sVARIABLE_SERVEURMODULE]
			if iIdDuModule == idModule:
				bfind=1
        			iIdDuServeur=serveur[s_sVARIABLE_SERVEURID]
				oListStatus=convert(oProxy.serveurs.agents_status(iIdDuServeur)[1])
				print( '\t<serveur name="' + sServeurName + '" type="cmd" image="/divers/'+ sServeurName  +'.png">\n')
				print( '\t\t<security>\n')
				print( '\t\t\t<acl access="allow" groups="_SENTINELLE"/>\n')
				print( '\t\t</security>\n')

				for status in oListStatus:
					sTag=status
					sLibelle=oListStatus[status][0]
					print( '\t\t<service tag="'+convert(sTag) + '" libelle="'+convert(sLibelle)+'">\n')
					print( '\t\t\t<value type="STATUS"/>\n')
					print( '\t\t</service>\n')
				print( '</serveur>\n')
				break
		if bfind == 1:
			break



print( '</composantes>')
				
