# Recupere les infos de bases de zephir
#  + les zephir ID des != module

import sys
import xmlrpclib
from inc_connect   import *
from tools import *


sys.exit(1)

s_sVARIABLE_RNE='rne'
s_sVARIABLE_SERVEURMODULE='module_actuel'
s_sVARIABLE_MODULEID='id'
s_sVARIABLE_SERVEURID='id'

oProxy=xmlrpclib.ServerProxy(sUrlZephir)

etabs=convert(oProxy.etabs.get_etab()[1])

file = open('composantes.xml','w')

file.write( '<?xml version="1.0" encoding="ISO-8859-1"?>\n') 
file.write( '<composantes>\n')



oListModulesName=[]
oListModules=convert(oProxy.modules.get_module()[1])
for oModule in oListModules:
	
	sServeurName=getServeurModuleName(oModule['libelle'])
	oListModulesName.append(sServeurName)
	idModule=oModule[s_sVARIABLE_MODULEID]
	print 'Module id : ' + str(idModule) + ' name='+oModule['libelle']+'=>'+sServeurName
	bfind=0
	for etab in etabs:
    		# Recuperation des serveurs pour Rne
		if etab[s_sVARIABLE_RNE] != '0210000A':
			continue
    		try:
			oListServeurs=convert(oProxy.serveurs.groupe_serveur({s_sVARIABLE_RNE: etab[s_sVARIABLE_RNE]})[1])
		except:
			oListServeurs=[]
		for serveur in oListServeurs:
        		iIdDuModule=serveur[s_sVARIABLE_SERVEURMODULE]
			if iIdDuModule == idModule:
				bfind=1
        			iIdDuServeur=serveur[s_sVARIABLE_SERVEURID]
				oListStatus=convert(oProxy.serveurs.agents_status(iIdDuServeur)[1])
				file.write( '\t<serveur name="' + sServeurName + '" type="cmd" image="/divers/'+ sServeurName  +'.png">\n')
				file.write( '\t\t<security>\n')
				file.write( '\t\t\t<acl access="allow" groups="_SENTINELLE"/>\n')
				file.write( '\t\t</security>\n')

				for status in oListStatus:
					sTag=status
					sLibelle=oListStatus[status][0]
					file.write( '\t\t<service tag="'+convert(sTag) + '" libelle="'+convert(sLibelle)+'">\n')
					file.write( '\t\t\t<value type="STATUS"/>\n')
					file.write( '\t\t</service>\n')
				file.write( '</serveur>\n')
				break
		if bfind == 1:
			break

file.write( '\t<serveur name="infosetabs" type="cmd" image="/divers/infosetabs.png">\n')
file.write( '\t\t<security>\n')
file.write( '\t\t\t<acl access="allow" groups="_SENTINELLE"/>\n')
file.write( '\t\t</security>\n')

etab=etabs[1]
for cle,valeur in etab.items():
        sRef=''
        if cle == 'rne': sRef=' reference="rne"'
        file.write( '\t\t<service libelle="' + cle + '" tag="'+ cle + '" ' + sRef + '>\n')
        file.write( '\t\t\t<value type="STRINGVALUE"/>\n')
        file.write( '\t\t</service>\n')

file.write( '\t<subsystem type="IDZEPHIR" libelle="Identifiant Zephir">\n' )
for oModule in oListModulesName:
	file.write( '\t\t<service libelle="Identifiant de ' + oModule + '" tag="zephid_' + oModule + '">\n')
	file.write( '\t\t\t<value type="BOUNDVALUE"/>\n')
	file.write( '\t\t</service>\n')
file.write( '\t</subsystem>\n')

file.write( '\t</serveur>')
file.write( '')

file.write( '</composantes>')
				
file.close()
