import sys
import xmlrpclib
from inc_connect   import *
from tools import *

iId=sys.argv[1]

oProxy=xmlrpclib.ServerProxy(sUrlZephir)


oListStatus=convert(oProxy.serveurs.agents_status(iId)[1])
if ((type(oListStatus)== str) and (oListStatus.find('serveur inconnu')!=-1)):
     sys.exit(0)


#Recupere le status    
print '# ========================================'
print '# RECUPERATION DES STATUS'
for status in oListStatus:
    print status+","+str(oListStatus[status][1])
print '# ========================================'


oListParams=convert(oProxy.serveurs.get_serveur(iId)[1][0])
#Date du dernier log
oTime=eval(oListParams['params'])['last_log']
iTime=zephtime2seconds(oTime)
print "lastlog," + str(iTime)

iModuleActuel=oListParams['module_actuel']
sModuleName=convert(oProxy.modules.get_module(iModuleActuel)[1][0]['libelle'])
print 'modulename,'+sModuleName

print '# ========================================'
print '# RECUPERATION DES INFOS CONFIG ZEPHIR'
for info in oListParams:
        if info == 'params':
		continue
	print "zeph_"+info +","+cast(oListParams[info])

print '# ========================================'

L=convert(oProxy.serveurs.get_measure(iId)[1])
if L == '{}':
	sys.exit(0)

print '# ========================================'
print '# RECUPERATION DES MESURES'
# Liste des mesures
oList=eval(L)[int(iId)]
for status in oList:
    #print 'STATUS:[' + str(status) + ']'
    #print type(oList[status])
    if type(oList[status]) == dict:
	o=oList[status]
	for info in o:
		s=o[info]
		if type(o[info]) == int:
			s=str(s)
		if type(o[info]) == list:
			s=str(o[info][0])
		if type(o[info]) == dict:
			s="["+info+"]"
		if type(o[info]) == tuple:
                        s="["+info+"]"

		print info + ","+s	


    if type(oList[status]) == list:
        print status+","+str(oList[status][0])
    if type(oList[status]) == int:
        print status+","+str(oList[status])

print '# ========================================'
