import sys
import xmlrpclib
from inc_connect   import *
from tools import *


sLoginName=sys.argv[1]
sLoginPasswd=sys.argv[2]
sUrlLoginZephir='https://'+ sLoginName +':'+ sLoginPasswd + '@' + sIp

oSentinelleGroups={	1:"ZEPHIR.READ",
			2:"ZEPHIR.WRITE",
			3:"ZEPHIR.ACTIONS_W",
			4:"ZEPHIR.PERMISSIONS",
			5:"ZEPHIR.CLIENTS",
			6:"ZEPHIR.VARIANTES",
			7:"ZEPHIR.VPN",
			8:"ZEPHIR.ENREGISTREMENT",
			9:"ZEPHIR.REENREGISTREMENT",
			10:"ZEPHIR.PRELUDE",
			21:"ZEPHIR.WRITE_SERVEURS",
			22:"ZEPHIR.WRITE_MODULES",
			23:"ZEPHIR.WRITE_ETABS",
			31:"ZEPHIR.ACTIONS_RO"}



oProxy=xmlrpclib.ServerProxy(sUrlLoginZephir)
oPermissions=[]
oPermissions=oProxy.get_permissions(sLoginName)[1]
print "#Groupes:"+str(oPermissions)
for perm in oPermissions:
    if  oSentinelleGroups.has_key(perm):
        print "addgroup:"+oSentinelleGroups[perm]


oRestrList=oProxy.get_restrictions(sLoginName)[1]
for rest in oRestrList:
	list=oRestrList[rest]
	sys.stdout.write(rest+'=')
	i=0
	for val in list:
		if (i!=0):
			sys.stdout.write(",")
		sys.stdout.write(val)
		i=1 
	print ''


sys.exit(0)
