# -*- coding: utf-8 -*-
import locale
import time
#charset=locale.getpreferredencoding()
# FIXE l'encodage en utf-8,
# car au lancement du service getpreferredencoding() ne récupère pas le bon encoding
charset='UTF-8'

def sentinellestatus2zephir(sValeur):
	if (sValeur == "ECHEC"):
		return 0
	if (sValeur == "OK"):
                return 1
	if (sValeur == "EN COURS"):
                return 2
	if (sValeur == "N/C"):
                return -2
	return 8

def getServeurName(p_sName):
    s=getServeurModuleName(p_sName)
    if s == "": return ""
    return 'zephid_'+s
 
def getServeurModuleName(p_sName):
    sName=""
    if p_sName.find('amon')!=-1:
        sName='amon'
    if p_sName.find('scribe')!=-1:
        sName='scribe'
    if p_sName.find('sphynx')!=-1:
        sName='sphynx'
    if p_sName.find('horus')!=-1:
        sName='horus'
    return sName


def getEtabType(p_sName):
    sType=p_sName
    if p_sName.find('LYCEE PROFESSIONNEL')!=-1:
        sType="LP"
    elif p_sName.find('LYCEE')!=-1:
        sType="LYC"
    elif p_sName.find('COLLEGE')!=-1:
        sType="CLG"
    return sType


def cast(objet):
    if type(objet) == int:
	objet=str(objet)
    
    if type(objet) == float:
	objet=str(objet)
    
    if type(objet) == unicode:
	objet=convert(objet)

    return objet

def convert(objet):
    """Transforme les objets unicode contenus dans un objet en chaines
    """
    if type(objet) == list:
        l = []
        for item in objet:
            l.append(convert(item))
        return l
    if type(objet) == tuple:
        l = []
        for item in objet:
            l.append(convert(item))
        return l
    if type(objet) == dict:
        dico={}
        for cle in objet.keys():
            dico[cle] = convert(objet[cle])
        return dico
    if type(objet) == unicode:
        string =  objet.encode(charset)
        return (string)
    if type(objet) == str:
        objet = (objet)
    return objet




def zephtime2seconds(sTime):
	if (sTime.find('-')!=-1):
		sFormat='%Y-%m-%d %H:%M:%S'
	else:
		sFormat='%a %b %d %H:%M:%S %Y'
	try:
		i=int(time.mktime(time.strptime(sTime,sFormat)))
	except:
		i=0
	return i

