#!/bin/sh

# Parse le dico eole
. ParseDico

# Recuperation des mots de passe et login
eval `cat  /usr/share/sentinelle/password `

# Définition des variables
CONF=./conf/

JAVAHOME=/usr/lib/jvm/java-6-sun-1.6.0.00/jre
CLASSPATH=$JAVAHOME/lib

JDBCPATH=jdbc/mysql-connector-java-5.0.7-bin.jar

XMLRPC="xmlrpc/xmlrpc-client-3.0.jar:xmlrpc/ws-commons-util-1.0.1.jar:xmlrpc/xmlrpc-common-3.0.jar"
LIBS="$XMLRPC"

WWWHOME="/var/www/sentinelle"
INSTALLDIR="/usr/share/sentinelle-server"

# Récupérations des établissements 
R=`python scripts/testconnect.py`
eval `R=$R`
if [ $R -ge 1 ] ; then
	python scripts/RecupEtabsFromZephir.py  > conf/etabs.txt
else
	echo "WARNING : Connexion impossible a zephir $adresse_zephir:7080 "
fi

# ===============================================================
# MISE A JOUR DES ADAPDATIONS LOCALES
if [ -d $INSTALLDIR/$CONF/local/images ] ; then
        if [ ! -d $WWWHOME/picto/local ] ; then
                mkdir $WWWHOME/picto/local
        fi
        cp -rf $INSTALLDIR/$CONF/local/images/*   $WWWHOME/picto/local
fi

if [ -d $INSTALLDIR/$CONF/local/client ] ; then
        rm -rf  $WWWHOME/download/files/local
        cp -rf $INSTALLDIR/$CONF/local/client   $WWWHOME/download/files/local
fi
# ===============================================================

# REGENERATION DES MD5s =========================================
DOSSIER=`pwd`
cd $WWWHOME/download
./makeinfo.sh > /dev/null
cd $DOSSIER

# ===============================================================

cp -f $WWWHOME/download/files/libs/GramonSrv.jar serveur/GramonSrv.jar


P=`pwd`
cd serveur
unzip -o GramonSrv.jar >/dev/null 2>&1
cd $P

echo "Lancement de Sentinelle  "
$JAVAHOME/bin/java  -Djavax.net.ssl.keyStore=security/serveur.ks -Djavax.net.ssl.keyStorePassword=$SRV_STOREPASS -Xmx512m -cp $CLASSPATH:$JDBCPATH:$LIBS:serveur gramonsrv.Main --path=$CONF $1
