
-- 
-- Base de donnes: `sentinelle2`
-- 

-- --------------------------------------------------------


-- 
-- Structure de la table `composante`
-- 



CREATE DATABASE `sentinelle`;
USE sentinelle;

CREATE TABLE `composantes` (
  `id` int(11) NOT NULL,
  `libelle` varchar(255) NOT NULL,
  `tag` varchar(255) NOT NULL,
  `valeur` varchar(255) NOT NULL,
  `serveur` varchar(255) NOT NULL,
  `systeme` varchar(255) NOT NULL
) ;


CREATE TABLE `history` (
 `rne` varchar(8) NOT NULL,
 `type` varchar(255) NOT NULL,
 `timestamp` int(11) NOT NULL, 
 `user` varchar(255) NOT NULL,
 `key` varchar(255) NOT NULL,
 `tag` varchar(255) NOT NULL,
 `msg` varchar(2048) NOT NULL
) ;

-- 
-- Structure de la table `msglog`
-- 

CREATE TABLE `msglog` (
  `timestamp` int(11) NOT NULL default '0',
  `rne` varchar(8) NOT NULL,
  `tag` varchar(255) NOT NULL,
  `type` int(11) NOT NULL default '0',
  `message` blob NOT NULL
) ;


-- 
-- Structure de la table `session`
-- 

CREATE TABLE `sessionencours` (
  `login` varchar(255) NOT NULL,
  `ssid` varchar(255) NOT NULL
) ;

CREATE TABLE `sessions` (
  `debut` int(11) NOT NULL default '0',
  `fin` int(11) NOT NULL default '0',
  `login` varchar(255) NOT NULL,
  `ssid` varchar(255) NOT NULL
) ;

CREATE TABLE `variables` (
  `cle`    varchar(255) NOT NULL,
  `valeur` varchar(255) NOT NULL
) ;

INSERT INTO variables (cle,valeur) VALUES('VERSION','2');

CREATE DATABASE `persistance`;

CREATE DATABASE `latest`;

CREATE USER 'sentinelle'@'localhost' ;

GRANT ALL PRIVILEGES ON `sentinelle`.* TO 'sentinelle'@'localhost' WITH GRANT OPTION ;
GRANT ALL PRIVILEGES ON `persistance`.* TO 'sentinelle'@'localhost' WITH GRANT OPTION ;
GRANT ALL PRIVILEGES ON `latest`.* TO 'sentinelle'@'localhost' WITH GRANT OPTION ;


