#!/bin/sh

. ./dbs.inc

echo "Arrêt de Sentinelle "
/etc/init.d/sentinelle stop
/etc/init.d/sentinelle initdb

NEWVERSION="2"

# La base possede t'elle  la table 'variables' ?
E=`$DBSentinelle "SHOW TABLES" | grep "variables"  | wc -l ` ; E=`expr $E + 0`
if [ $E -eq 0 ] ; then
	echo "Creation de la table variables"
	F="CREATE TABLE variables (cle varchar(255) NOT NULL,valeur varchar(255) NOT NULL) ;"
	$DBSentinelle "$F"
	F="INSERT INTO variables (cle,valeur) VALUES('VERSION','1')"
	$DBSentinelle "$F"
fi

echo "Version actuelle de la base : $DBSVersion"
if [ "$DBSVersion" = "$NEWVERSION" ] ; then
	echo "Aucune migration n'est nécessaire"
	exit
fi

A=$DBSVersion
while [ $A -lt $NEWVERSION ] ; do
	./migre/$A.sh
	A=`expr $A + 1`
done




